#include <QFile>
#include <QIODevice>

#include "log.hpp"
#include "system_information.hpp"

namespace kdk
{
namespace kabase
{
namespace
{
    constexpr char osReleasePath[] = "/etc/os-release";
    constexpr char osProjectCodeField[] = "PROJECT_CODENAME";
}

SystemInformation::SystemInformation() = default;

SystemInformation::~SystemInformation() = default;

QString SystemInformation::getLsbReleaseInformation(QString key)
{
#if 0
    QString ret;
    ret.clear();

    if (key.isEmpty()) {
        error << "kabase : key is empty!";
        return ret;
    }

    ret = QString(KDKGetLSBRelease(key.toStdString()).c_str());

    return ret;
#endif

    return "";
}

QString SystemInformation::getOsReleaseInformation(QString key)
{
#if 0
    QString ret;
    ret.clear();

    if (key.isEmpty()) {
        error << "kabase : key is empty!";
        return ret;
    }

    ret = QString(KDKGetOSRelease(key.toStdString()).c_str());

    return ret;
#endif

    return "";
}

/* 重写 */
QString SystemInformation::getProjectCodeName(void)
{
    QFile file(osReleasePath);
    if (!file.exists()) {
        error << "kabase : os-release file not exists";
        return "";
    }

    if (!file.open(QIODevice::ReadOnly)) {
        error << "kabase : open os-release file fail!";
        return "";
    }

    char buf[512];
    memset(buf , '\0' , sizeof(buf));
    while(file.readLine(buf , sizeof(buf)) != -1) {
        QString line = QString(buf).trimmed();
        if (line.contains(osProjectCodeField)) {
            QStringList lineList = line.split(QChar('='));
            if (lineList.size() >= 2) {
                /* 找到具体值 , 直接返回 */
                return lineList.at(1);
            }
        }
        memset(buf , '\0' , sizeof(buf));
    }

    return "";
}

QString SystemInformation::getCpuModelName(void)
{
    return "";

    // return QString(KDKGetCpuModelName().c_str());
}

QString SystemInformation::getHdPlatform(void)
{
    return "";
    // return QString(KDKGetSpecHDPlatform().c_str());
}

} /* namespace kabase */
} /* namespace kdk */