#include <QApplication>

#include "kylin_system/xatom_helper.hpp"

#include "window_management.hpp"

namespace kdk
{
namespace kabase
{

WindowManagement::WindowManagement() = default;

WindowManagement::~WindowManagement() = default;

bool WindowManagement::setWindowMotifHint(int winId)
{
    MotifWmHints hints;
    hints.flags = MWM_HINTS_FUNCTIONS | MWM_HINTS_DECORATIONS;
    hints.functions = MWM_FUNC_ALL;
    hints.decorations = MWM_DECOR_BORDER;

    XAtomHelper::getInstance()->setWindowMotifHint(winId, hints);

    return true;
}

bool WindowManagement::setScalingProperties(void)
{
#if (QT_VERSION >= QT_VERSION_CHECK(5, 6, 0))
    QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QApplication::setAttribute(Qt::AA_UseHighDpiPixmaps);
#endif

#if (QT_VERSION >= QT_VERSION_CHECK(5, 14, 0))
    QApplication::setHighDpiScaleFactorRoundingPolicy(Qt::HighDpiScaleFactorRoundingPolicy::PassThrough);
#endif

    return true;
}

} /* namespace kabase */
} /* namespace kdk */