#include "widget.h"
#include <QBoxLayout>
#include <QGroupBox>
#include <QIcon>
#include <QPalette>

Widget::Widget(QWidget *parent)
    : KWidget(parent)
{
    QVBoxLayout* vLayout = new QVBoxLayout;
    QGroupBox* groupBox1 = new QGroupBox("border",this);
    QGroupBox* groupBox2 = new QGroupBox("borderless",this);
    QHBoxLayout* hLayout =new QHBoxLayout;
    m_pBtn1 = new KBorderButton("border",this);     //构造一个带边框按钮
    m_pBtn2 = new KBorderButton("border",this);
    m_pBtn2->setIcon(QIcon::fromTheme("browser-download-symbolic"));        //设置按钮图标
    m_pBtn3 = new KBorderButton("border",this);
    m_pBtn3->setIcon(QIcon::fromTheme("browser-download-symbolic"));
    m_pBtn3->setEnabled(false);         //设置不可点击
    hLayout->addWidget(m_pBtn1);
    hLayout->addWidget(m_pBtn2);
    hLayout->addWidget(m_pBtn3);
    groupBox1->setLayout(hLayout);
    m_pBtn4 = new KBorderlessButton("borderless",this);     //构造一个无边框按钮
    m_pBtn5 = new KBorderlessButton("borderless",this);
    m_pBtn5->setIcon(QIcon::fromTheme("document-send-symbolic"));       //设置按钮图标
    m_pBtn6 = new KBorderlessButton("borderless",this);
    m_pBtn6->setIcon(QIcon::fromTheme("browser-download-symbolic"));
    m_pBtn6->setEnabled(false);     //设置不可点击
    hLayout = new QHBoxLayout;
    hLayout->addWidget(m_pBtn4);
    hLayout->addWidget(m_pBtn5);
    hLayout->addWidget(m_pBtn6);
    groupBox2->setLayout(hLayout);
    vLayout->addWidget(groupBox1);
    vLayout->addWidget(groupBox2);
    baseBar()->setLayout(vLayout);
}

Widget::~Widget()
{
}

