#include "widget.h"
#include "kprogressbar.h"
#include <QVBoxLayout>
#include <QPushButton>

using namespace kdk;

Widget::Widget(QWidget *parent)
    : KWidget(parent)
{
    KProgressDialog *progressDialog = new KProgressDialog(tr("运行中"),tr("取消"),0,100,this);
    progressDialog->setSubContent("正在下载...");   //设置次级内容
    progressDialog->setSuffix("MB");      //设置detail的后缀
    progressDialog->setWindowTitle("进度对话框");   //设置窗口标题
    progressDialog->setWindowIcon("kylin-music");  //设置窗口图标
    progressDialog->setValue(98);    //设置当前进度值
    progressDialog->setShowDetail(true);        //设置是否显示详细信息
    progressDialog->setAutoReset(false);        //设置进度条是否重置


    QPushButton *pBtn = new QPushButton("显示",this);
    QVBoxLayout *vLayout = new QVBoxLayout(this);
    vLayout->addWidget(pBtn);
    baseBar()->setLayout(vLayout);

    connect(pBtn,&QPushButton::clicked,this,[=](){progressDialog->show();});
}

Widget::~Widget()
{
}

