#include <unistd.h>

#include <QDBusMessage>
#include <QDBusConnection>
#include <QDBusReply>
#include <QDebug>

#include "usermanual.h"

namespace kdk
{

namespace
{
constexpr char dbusObjectPath[] = "/";
constexpr char dbusInterfaceName[] = "com.guide.hotel";
constexpr char dbusCallUserManualMethod[] = "showGuide";
} // namespace

UserManual::UserManual() = default;

UserManual::~UserManual() = default;

bool UserManual::callUserManual(QString appName)
{
    if (appName.isEmpty()) {
        return false;
    }

    const QString dbusServiceName = QString("com.kylinUserGuide.hotel") + QString("_") + QString::number(getuid());

    QDBusMessage message =
        QDBusMessage::createMethodCall(dbusServiceName, dbusObjectPath, dbusInterfaceName, dbusCallUserManualMethod);

    QList<QVariant> args;
    args << appName;
    message.setArguments(args);

    QDBusMessage ret = QDBusConnection::sessionBus().call(message);
    if (ret.type() == QDBusMessage::InvalidMessage || ret.type() == QDBusMessage::ErrorMessage) {
        qCritical() << "kdk : user manual d-bus call fail!";
        return false;
    }

    return true;
}

} // namespace kdk