#include <QCoreApplication>
#include <QDebug>
#include <QObject>

#include "gsettingmonitor.h"

int main(int argc, char *argv[])
{
    QCoreApplication app(argc, argv);

    qDebug() << "系统字号 : " << kdk::GsettingMonitor::getSystemFontSize();
    qDebug() << "系统透明度 : " << kdk::GsettingMonitor::getSystemTransparency();
    qDebug() << "系统主题" << kdk::GsettingMonitor::getSystemTheme();

    QObject::connect(kdk::GsettingMonitor::getInstance(), &kdk::GsettingMonitor::systemFontSizeChange, [=]() {
        qDebug() << "系统字号改变 : " << kdk::GsettingMonitor::getSystemFontSize();
    });

    QObject::connect(kdk::GsettingMonitor::getInstance(), &kdk::GsettingMonitor::systemThemeChange, [=]() {
        qDebug() << "系统主题改变 : " << kdk::GsettingMonitor::getSystemTheme();
    });

    QObject::connect(kdk::GsettingMonitor::getInstance(), &kdk::GsettingMonitor::systemTransparencyChange, [=]() {
        qDebug() << "系统透明度改变 : " << kdk::GsettingMonitor::getSystemTransparency();
    });

    return app.exec();
}