#include "waylandhelper.h"
#include <KWindowSystem/kwindowsystem.h>
#include <QDebug>

using namespace kdk;

static const char* server_flag = "XDG_SESSION_TYPE";
static const char* client_flag = "QT_QPA_PLATFORM";

static WaylandHelper* g_instance = nullptr;
bool WaylandHelper::isWaylandServer()
{
    if (qgetenv(server_flag) == QString("wayland"))
    {
        return true;
    }
    else
    {
        return false;
    }
}

bool WaylandHelper::isWaylandClient()
{
    if (qgetenv(client_flag) == QString("wayland"))
    {
        return true;
    }
    else
    {
        return false;
    }
}

WaylandHelper *WaylandHelper::self()
{
    if (!g_instance)
        g_instance = new WaylandHelper();
    return g_instance;
}

WaylandHelper::WaylandHelper(QObject *parent)
    :QObject(parent)
{
}

