#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QPushButton>
#include "windowmanager/windowinfo.h"
#include "windowmanager/windowmanager.h"

using namespace kdk;

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

    void initUi();
    void initConnections();

private:
    QPushButton* m_btnMinimize;
    QPushButton* m_btnMaximum;
    QPushButton* m_btnActivate;
    QPushButton* m_btnStayOnTop;
    QPushButton* m_btnClose;

    kdk::WindowManager *m_manager;
    WindowId m_lastestWindowId;
};
#endif // WIDGET_H
