#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QTimer>
#include "windowmanager/windowmanager.h"

using namespace kdk;

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();
    void initUI();
    void initConnection();

private:
    QWidget* m_subWidget1;
    QWidget* m_subWidget2;
    QPushButton* m_btnMinimize;
    QPushButton* m_btnMaximum;
    QPushButton* m_btnActivate;
    QPushButton* m_btnStayOnTop;
    QPushButton* m_btnClose;
    QPushButton* m_btnShowDesktop;
    QPushButton* m_btnChangeIcon;
    QPushButton* m_btnChangeTitle;
    QPushButton* m_shwWdg1btn1;
    QPushButton* m_shwWdg1btn2;
    QPushButton* m_shwWindowTitle;
    QPushButton* m_shwWindowIcon;
    kdk::WindowManager *m_manager;
    QTimer* m_timer;
    WindowId m_lastestWindowId;
};
#endif // WIDGET_H
