#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QTimer>
#include <QLabel>
#include <QDialog>
#include "windowmanager/windowmanager.h"

using namespace kdk;
class QSpinBox;
class QComboBox;
class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();
    void initUI();
    void initConnection();

private:
    QLabel* m_label;
    QWidget* m_subWidget;
    QPushButton* m_btnMinimize;
    QPushButton* m_btnMaximum;
    QPushButton* m_btnActivate;
    QPushButton* m_btnStayOnTop;
    QPushButton* m_btnClose;
    QPushButton* m_btnShowDesktop;
    QPushButton* m_btnChangeIcon;
    QPushButton* m_btnChangeTitle;
    QPushButton* m_btnShowGroup;
    QPushButton* m_shwWdgbtn;
    QPushButton* m_shwWindowTitle;
    QPushButton* m_shwWindowIcon;
    QPushButton* m_btnprintList;
    QPushButton* m_btnSetGeometry;
    QPushButton* m_btnGetType;
    QComboBox* m_setTypeBox;
    kdk::WindowManager *m_manager;
    QSpinBox *m_posX;
    QSpinBox *m_posY;
    QSpinBox *m_width;
    QSpinBox *m_height;
    QTimer* m_timer;
    WindowId m_lastestWindowId;
};
#endif // WIDGET_H
